--- /dev/null	2013-10-21 19:08:25.000000000 +0000
+++ new/src/node-lockfd/node_modules/v8plus/Makefile.v8plus.defs	2013-10-21 19:08:25.499846298 +0000
@@ -0,0 +1,78 @@
+#
+# Copyright (c) 2012 Joyent, Inc.  All rights reserved.
+#
+
+#
+# V8PLUS and PREFIX_NODE must be defined in consumer's makefiles.
+# See documentation.
+#
+#PREFIX_NODE :=	$(shell dirname `bash -c 'hash node; hash -t node'`)/..
+#V8PLUS :=	$(shell $(PREFIX_NODE)/bin/node -e 'require("v8plus");')
+
+CC =		gcc
+CXX =		g++
+CTFCONVERT =	/opt/onbld/bin/i386/ctfconvert
+CTFMERGE =	/opt/onbld/bin/i386/ctfmerge
+CTF_LABEL =	v8plus_0.0.1
+
+NODE_EXEC =	$(PREFIX_NODE)/bin/node
+
+MODULE_DIR =	../lib
+
+DEBUG_FLAGS =	-g
+WARN_FLAGS =	-Wall -Wextra -Werror
+PIC_FLAGS =	-fPIC
+OPT_FLAGS =	-O2
+C_STDFLAGS =	-std=c99
+CXX_STDFLAGS =	-std=c++0x
+
+CFLAGS =	$(DEBUG_FLAGS) \
+		$(WARN_FLAGS) \
+		$(PIC_FLAGS) \
+		$(OPT_FLAGS) \
+		$(C_STDFLAGS)
+CXXFLAGS =	$(DEBUG_FLAGS) \
+		$(WARN_FLAGS) \
+		$(PIC_FLAGS) \
+		$(OPT_FLAGS) \
+		$(CXX_STDFLAGS)
+
+STD_DEFS =	-D_GNU_SOURCE
+NODE_DEFS =	-DBUILDING_NODE_EXTENSION
+LF64_DEFS =	-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
+PIC_DEFS =	-DPIC
+NODE_INCS =	-isystem $(PREFIX_NODE)/include/node -I. -I$(V8PLUS)
+
+CPPFLAGS =	$(STD_DEFS) $(NODE_DEFS) $(LF64_DEFS) $(PIC_DEFS) $(NODE_INCS)
+CXXPPFLAGS =	$(CPPFLAGS)
+
+SHARED_FLAGS =	-shared
+ZTEXT =		-Wl,-ztext
+ZDEFS =		-Wl,-zdefs
+NODE_LIBDIR =	-L$(PREFIX_NODE)/lib
+MAPFILES =	$(MAPFILE)
+
+LDFLAGS =	$(SHARED_FLAGS) $(ZTEXT) $(ZDEFS) $(NODE_LIBDIR)
+LDFLAGS +=	$(MAPFILES:%=-Wl,-M,%)
+LIBS =		-lnvpair
+
+OBJS.c =	$(SRCS:.c=.o)
+OBJS =		$(OBJS.c:.cc=.o)
+
+OBJS +=		\
+		v8plus_csup.o \
+		v8plus_errno.o \
+		v8plus_objectwrap.o \
+		v8plus_subr.o
+
+GENERRNO_JS =	$(V8PLUS)/generrno.js
+GENERRNO =	NODE_PATH=$(V8PLUS)/node_modules \
+		    $(NODE_EXEC) $(GENERRNO_JS)
+
+ERRNO_H =	v8plus_errno.h
+ERRNO_C =	v8plus_errno.c
+
+MAPFILE =	mapfile_node
+
+CTFCONVERT.o =	$(CTFCONVERT) -l $(CTF_LABEL) $@
+CTFMERGE.node =	$(CTFMERGE) -l $(CTF_LABEL) -o $@ $(OBJS)
